import type { TrainResponse } from "../types/responses.js";
export declare function parseTrain(attributes: TrainResponse): {
    destination: {
        id: number;
        name: string;
    };
    location: {
        latitude: number;
        longitude: number;
        heading: number;
    } | undefined;
    prediction: {
        arrivalMinutes: number;
        arrivalString: string;
        arrivalTime: Date;
        predictionAge: number;
        predictionTime: Date;
    };
    route: {
        class: string;
        directionId: number;
        id: import("../types/responses.js").RouteId;
        name: string;
        run: number;
    };
    station: {
        id: number;
        name: string;
        stop: {
            id: number;
            description: string;
        };
    };
    status: {
        approaching: boolean;
        delayed: boolean;
        faulty: boolean;
        scheduled: boolean;
    };
};
export declare function parseStatus({ isApp, isDly, isFlt, isSch }: TrainResponse): {
    approaching: boolean;
    delayed: boolean;
    faulty: boolean;
    scheduled: boolean;
};
export declare function parseStation({ staId, stpId, staNm, stpDe }: TrainResponse): {
    id: number;
    name: string;
    stop: {
        id: number;
        description: string;
    };
};
export declare function parseLocation({ lat, lon, heading }: TrainResponse): {
    latitude: number;
    longitude: number;
    heading: number;
} | undefined;
export declare function parseRoute({ rn, rt, trDr }: TrainResponse): {
    class: string;
    directionId: number;
    id: import("../types/responses.js").RouteId;
    name: string;
    run: number;
};
export declare function parsePrediction({ arrT, prdt }: TrainResponse): {
    arrivalMinutes: number;
    arrivalString: string;
    arrivalTime: Date;
    predictionAge: number;
    predictionTime: Date;
};
export declare function parseDestination({ destSt, destNm }: TrainResponse): {
    id: number;
    name: string;
};
export declare function asBoolean(booleanString: string): boolean;
export declare function asDate(timeString: string): Date;
export declare function asFloat(floatString: string): number;
export declare function asInteger(integerString: string): number;
